OpenJPEG 2.3.0

Functions
bio.c File Reference
`#include "opj_includes.h"`

## Functions
opj_bio_t * | opj_bio_create (void)
| Create a new BIO handle. More...
void | opj_bio_destroy (opj_bio_t *bio)
| Destroy a previously created BIO handle. More...
ptrdiff_t | opj_bio_numbytes (opj_bio_t *bio)
| Number of bytes written. More...
void | opj_bio_init_enc (opj_bio_t *bio, OPJ_BYTE *bp, OPJ_UINT32 len)
| Init encoder. More...
void | opj_bio_init_dec (opj_bio_t *bio, OPJ_BYTE *bp, OPJ_UINT32 len)
| Init decoder. More...
void | opj_bio_write (opj_bio_t *bio, OPJ_UINT32 v, OPJ_UINT32 n)
| Write bits. More...
OPJ_UINT32 | opj_bio_read (opj_bio_t *bio, OPJ_UINT32 n)
| Read bits. More...
OPJ_BOOL | opj_bio_flush (opj_bio_t *bio)
| Flush bits. More...
OPJ_BOOL | opj_bio_inalign (opj_bio_t *bio)
| Passes the ending bits (coming from flushing) More...
Local static functions
static void | opj_bio_putbit (opj_bio_t *bio, OPJ_UINT32 b)
| Write a bit. More...
static OPJ_UINT32 | opj_bio_getbit (opj_bio_t *bio)
| Read a bit. More...
static OPJ_BOOL | opj_bio_byteout (opj_bio_t *bio)
| Write a byte. More...
static OPJ_BOOL | opj_bio_bytein (opj_bio_t *bio)
| Read a byte. More...